domingo, 6 de diciembre de 2015

Sígueme (TEA) y Xubuntu 14.04

Sígueme es una aplicación gratuita diseñada para potenciar la atención visual y entrenar la adquisición del significado en personas con autismo (TEA, Trastornos del Espectro Autista). El proyecto funciona sobre diferentes dispositivos táctiles y no táctiles: ordenadores de sobremesa, pizarras digitales, netbooks, portátiles (Windows y Linux) y tabletas (iPad y Android).


Desarrollada por la Fundación Orange y la Universidad de Granada, el objetivo global de la aplicación educativa SIGUEME es favorecer y potenciar el desarrollo de los procesos perceptivo-visual y cognitivo–visual en personas con autismo de bajo nivel de funcionamiento, para conseguir la adquisición del significado (asociación de imágenes a etiquetas verbales y a su significado).

Este proyecto da sentido y orienta la intervención a realizar con las personas que aún no tienen acceso a la lectura y la escritura y no han accedido a la comprensión del significado de las palabras y las imágenes. Esta aplicación la podemos descargar, así como el manual de usuario para Linux, desde el siguiente enlace:



¿Cuál es el problema de esta aplicación en Linux?

En la web de esta aplicación se recomiendan una versión Java 1.7 o superior para que funcione correctamente.


Lo cierto es que en Linux, concretamente en Xubuntu 14.04, va si tiene Java 1.6; con Java 1.7 o 1.8 no va. En Xubuntu GOLD, que dispone por defecto de Java 1.7 no iba; después de instalarle Java 1.8, tampoco; finalmente, funciona si instalamos con Synaptic la versión Java 1.6, y modificamos la correspondiente variable de entorno del sistema operativo para que use por defecto Java 1.6, cuando en el sistema disponemos de varias versiones de Java, como es el caso de mi distro Xubuntu GOLD.

El problema se resuelve del siguiente modo:

Antes de nada, podéis instalar antes o después de las siguientes modificaciones el Sigueme.deb, pero yo lo haría después. Sin instalar Java 1.6 arranca, pero no funciona.
Procedemos a instalar Java 1.6, y para poder hacer esto tenemos que disponer de Synaptic, que podremos bajar del Centro de Software de Ubuntu si no lo tenemos instalado.


Después de abrir Synaptic marcamos los siguientes archivos, y también aceptamos las dependencias que nos pueda sugerir.

openjdk-6-jre-lib
openjdk-6-jre-headless
icedtea-6-jre-cacao
openjdk-6-jre


Como yo instalé antes las dos versiones de Java recomendadas en la web de esta aplicación, la 1.7 y 1.8, en vez de desinstalarlas, cambié la variable de entorno del sistema para que por defecto arranque con la 1.6. Para ello abrimos el terminal (Ctrl+Alt+t), y escribimos lo siguiente:

sudo update-alternatives --config java

Se abre una aplicación en el terminal, y elegimos el número asociado a la versión 1.6 de Java, en mi caso el 1, y luego al reinciar el sistema trabajará con la versión Java 1.6.


Podemos verificar la versión Java desde el terminal con la siguiente instrucción:

java -version

Luego podéis instalar el archivo Sigueme.deb haciendo doble clic sobre él, se abrirá el Centro de Software de Ubuntu, y hacemos clic en instalar.

Espero que así podamos ejecutar en Linux por mucho tiempo esta estupenda aplicación.

No hay comentarios:

Publicar un comentario en la entrada